GraphItemIt< GR, Item > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
GraphItemIt< GR, Item > Class Template Reference

## Detailed Description

### template<typename GR, typename Item>
class lemon::concepts::GraphItemIt< GR, Item >

This class describes the concept of `NodeIt`, `ArcIt` and `EdgeIt` subtypes of digraph and graph types.

`#include <lemon/concepts/graph_components.h>`

Inherits Item.

## Public Member Functions
| GraphItemIt ()
| Default constructor. More...
| GraphItemIt (const GraphItemIt &it)
| Copy constructor. More...
| GraphItemIt (const GR &)
| Constructor that sets the iterator to the first item. More...
| GraphItemIt (Invalid)
| Constructor for conversion from `INVALID`. More...
GraphItemIt & | operator= (const GraphItemIt &)
| Assignment operator. More...
GraphItemIt & | operator++ ()
| Increment the iterator. More...
bool | operator== (const GraphItemIt &) const
| Equality operator. More...
bool | operator!= (const GraphItemIt &) const
| Inequality operator. More...

## Constructor & Destructor Documentation

GraphItemIt | ( |  | ) |
| inline

Default constructor.

Warning
  The default constructor is not required to set the iterator to some well-defined value. So you should consider it as uninitialized.

GraphItemIt | ( | const GraphItemIt< GR, Item > & | it | ) |
| inline

Copy constructor.

GraphItemIt | ( | const GR & |  | ) |
| inlineexplicit

Constructor that sets the iterator to the first item.

GraphItemIt | ( | Invalid |  | ) |
| inline

Constructor for conversion from `INVALID`. It initializes the iterator to be invalid.

See Also
  Invalid for more details.

## Member Function Documentation

GraphItemIt& operator= | ( | const GraphItemIt< GR, Item > & |  | ) |
| inline

Assignment operator for the iterator.

GraphItemIt& operator++ | ( |  | ) |
| inline

This operator increments the iterator, i.e. assigns it to the next item.

bool operator== | ( | const GraphItemIt< GR, Item > & |  | ) | const
| inline

Equality operator. Two iterators are equal if and only if they point to the same object or both are invalid.

bool operator!= | ( | const GraphItemIt< GR, Item > & |  | ) | const
| inline

Inequality operator. Two iterators are equal if and only if they point to the same object or both are invalid.